getTransactionConstructionMetadata

Get any information required to construct a transaction for a specific
network. Metadata returned here could be a recent hash to use, an
account sequence number, or even arbitrary chain state. The request
used when calling this endpoint is created by calling /construction/preprocess
in an offline environment.

You should NEVER assume that the request sent to this endpoint will be
created by the caller or populated with any custom parameters. This must
occur in /construction/preprocess.

It is important to clarify that this endpoint should not pre-construct
any transactions for the client (this should happen in /construction/payloads).
This endpoint is left purposely unstructured because of the wide scope
of metadata that could be required.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

A ConstructionMetadataRequest is utilized to get information required
to construct a transaction.

The Options object used to specify which metadata to return is left
purposely unstructured to allow flexibility for implementers. Options
is not required in the case that there is network-wide metadata of
interest.

Optionally, the request can also include an array
of PublicKeys associated with the AccountIdentifiers
returned in ConstructionPreprocessResponse.

network_identifier
object
required

The network_identifier specifies which network a particular object is associated with.

options
object

Some blockchains require different metadata for different types of
transaction construction (ex: delegation versus a transfer). Instead
of requiring a blockchain node to return all possible types of
metadata for construction (which may require multiple node fetches),
the client can populate an options object to limit the metadata
returned to only the subset required.

public_keys
array of objects
public_keys
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json